Archive conversations

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
POST /case/conversations/{caseId}/archive

Archives the given conversations in the case so they are hidden from the default conversation list.

Path parameters

  • caseId string Required
application/json

Body Required

  • conversationIds array[string] Required

    Ids of the conversations to archive

  • deviceId string Required

    The ID of the device associated with the conversation

  • deleteImmediately boolean Required

    Schedule to delete immediately

    Default value is false.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • message string Required
      • isSuccess boolean Required
    • statusCode number Required
    • timestamp string(date-time) Required
POST /case/conversations/{caseId}/archive
curl \
 --request POST 'http://api.example.com/case/conversations/{caseId}/archive' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{
  "conversationIds": [
    "60a0fe4f5311236168a109ca"
  ],
  "deviceId": "60a0fe4f5311236168a109cb",
  "deleteImmediately": false
}'
Request examples
{
  "conversationIds": [
    "60a0fe4f5311236168a109ca"
  ],
  "deviceId": "60a0fe4f5311236168a109cb",
  "deleteImmediately": false
}
Response examples (200)
{
  "data": {
    "message": "Done",
    "isSuccess": true
  },
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}